MailcrateDocs
Webhooks

Update a webhook endpoint

PUT
/public/webhook/endpoints/{id}

Requires the webhook:write scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

id*string

Request Body

application/json
  1. body
name?string
url?string
Formaturi
enabled?boolean
subscribedEvents?array<>
description?string

Response Body

application/json
  1. response
id*string
name*string
url*string
secret*string
enabled*boolean
subscribedEvents*array<>
description*string|null
created*string
Formatdate-time
updated*string
Formatdate-time
Example Request
curl -X PUT 'https://api.mailcrate.io/public/webhook/endpoints/string' \  -H 'Authorization: Api-Key <api_key>' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "name": "string",  "url": "string",  "secret": "string",  "enabled": true,  "subscribedEvents": [    "campaign.deleted"  ],  "description": "string",  "created": "2019-08-24T14:15:22Z",  "updated": "2019-08-24T14:15:22Z"}